This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 534305 - (RHQ-1114) Need to make resource names on group operation invocation and history pages more unique
Need to make resource names on group operation invocation and history pages m...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-11-12 18:29 EST by Charles Crouch
Modified: 2015-02-01 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
results.jpg (93.96 KB, image/jpeg)
2008-11-12 18:30 EST, Charles Crouch
no flags Details
invoke.jpg (40.00 KB, image/jpeg)
2008-11-12 18:34 EST, Charles Crouch
no flags Details

  None (edit)
Description Charles Crouch 2008-11-12 18:29:00 EST
See the attached screenshots for examples of where its impossible to differentiate between the resources in the group which are being operated on.

It doesn't have to be a new parent resource column, but it should be something which makes the resource name more unique.
Comment 1 Red Hat Bugzilla 2009-11-10 15:24:15 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1114
Imported an attachment (id=368494)
Imported an attachment (id=368495)
Comment 2 Jay Shaughnessy 2011-02-11 16:30:40 EST
disambiguation work
Comment 3 Ian Springer 2011-03-23 15:38:56 EDT
Jay took care of this - [master 23768b7]. Note, disambiguation was needed for the group op history details view (e.g. #ResourceGroup/10401/Operations/History/10161), which includes a table of the member history items, but it was not needed for the group op schedule view, which does not display any per-member info.
Comment 4 Mike Foley 2011-05-02 08:23:59 EDT
while verifying this, i encountered an error scheduling group operations.  ora-02289.  i logged new bz 701272.
Comment 5 Mike Foley 2011-05-26 08:16:11 EDT
marking this verified...RHQ4 Master branch.  I created a compatible group with 6 resources of the same type (EJB beans) and scheduled an operation (view stats) which repeated frequently over the course of several minutes on the group.  In view operations history, I could distinguish between each operation history and determine on which resource the operation executed.
Comment 7 Heiko W. Rupp 2013-09-03 12:58:37 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.